#ifndef RESULT_H
#define RESULT_H

#include "ui_resultdialog.h"
#include <QStandardItemModel>
#include <QDialog>


class Result : public QDialog, public Ui::ResultDialog
{
    Q_OBJECT
    public:
        Result (QObject * parent = 0);
         ~Result ();
        void setResults(QHash<QString,QString> hashResults);
        QStringList getListOfId();
    protected slots:
        void deleteLineOfResultsModel();
        void printTable();
    private:
        QStandardItemModel * m_model;
        QStringList m_listOfReturnedId;
        /* data */
};

#endif

